# GridFire: PyEngine Class Reference

Loading...
Searching...
No Matches
PyEngine Class Referencefinal

`#include <py_engine.h>`

Inheritance diagram for PyEngine:

## Public Member Functions

const std::vector< fourdst::atomic::Species > & | getNetworkSpecies () const override
| Get the list of species in the network.
std::expected< gridfire::StepDerivatives< double >, gridfire::expectations::StaleEngineError > | calculateRHSAndEnergy (const std::vector< double > &Y, double T9, double rho) const override
Public Member Functions inherited from gridfire::Engine
virtual | ~Engine ()=default
| Virtual destructor.
virtual std::expected< StepDerivatives< double >, expectations::StaleEngineError > | calculateRHSAndEnergy (const fourdst::composition::Composition &comp, double T9, double rho) const =0
| Calculate the right-hand side (dY/dt) and energy generation.

## Private Attributes

std::vector< fourdst::atomic::Species > | m_species_cache

## Member Function Documentation

## calculateRHSAndEnergy()

std::expected< gridfire::StepDerivatives< double >, gridfire::expectations::StaleEngineError > PyEngine::calculateRHSAndEnergy | ( | const std::vector< double > & | Y,
|  | double | T9,
|  | double | rho ) const

override

## getNetworkSpecies()

const std::vector< fourdst::atomic::Species > & PyEngine::getNetworkSpecies | ( |  | ) | const

overridevirtual

Get the list of species in the network.

Returns
  Vector of Species objects representing all network species.

Implements gridfire::Engine.

## Member Data Documentation

## m_species_cache

std::vector<fourdst::atomic::Species> PyEngine::m_species_cache

mutableprivate

The documentation for this class was generated from the following files:

- src/python/engine/trampoline/py_engine.h
- src/python/engine/trampoline/py_engine.cpp